JDBC Driver 12.0 Compatibility

General
Fan

JDBC Driver 12.0 Compatibility

Would appreciate if someone can provide feedback on the following: Is JDBC driver 12.0 compatible with Teradata DBMS 14.0?  If so, what compatibility issues if any exist?  Thanks.   

6 REPLIES
Teradata Employee

Re: JDBC Driver 12.0 Compatibility

Teradata JDBC Driver 12.0 is no longer supported.

The Teradata JDBC Driver Supported Platforms matrix is published here on Developer Exchange. It shows which Teradata JDBC Driver releases are compatible with which Teradata Database releases.

http://developer.teradata.com/doc/connectivity/jdbc/reference/current/platformMatrix.html

Generally speaking, each release of the Teradata JDBC Driver is compatible with the corresponding back 4 + current + forward 4 Teradata Database releases.

Fan

Re: JDBC Driver 12.0 Compatibility

That explains it.  Thank you!

Enthusiast

Re: JDBC Driver 12.0 Compatibility

I noticed this chart doesn't show anything for TTU/JDBC 12 or JDBC 3.03

William Miteff
Teradata Employee

Re: JDBC Driver 12.0 Compatibility

@wmmiteff, you are correct. Teradata JDBC Driver 12.0 and 3.3 are not listed on the Teradata JDBC Driver Supported Platforms matrix because they are not supported.

Only supported software is listed on the Teradata JDBC Driver Supported Platforms matrix. If something isn't listed, that means it's not supported.

Enthusiast

Re: JDBC Driver 12.0 Compatibility

Are there plans to support newer versions of Tomcat?

William Miteff
Teradata Employee

Re: JDBC Driver 12.0 Compatibility

Regarding application server support, we typically wait until support is requested by a customer for a new version of an application server.